Get token
POST /openapi/Auth/Login — TMS API · Authentication
Logs in with API username and password, returns the JWT to be used in subsequent requests.
- Token is valid for 24 hours; the
expirationfield provides the expiration time. - The token carries organization/account information; response endpoints use this information.
- This endpoint is not subject to request limits, but store and reuse the token instead of logging in on every request.
İstek gövdesi
password(string<password>, zorunlu): Password of the API user.userName(string, zorunlu): API username provided by CommerceLab.
Yanıtlar
- 200: Login successful
- 400: User not found or incorrect password
200 yanıt alanları
token(string): JWT; used in theAuthorization: Bearer <token>header.expiration(string<date-time>): Expiration time of the token.refreshToken(string): Refresh token. There is no token refresh endpoint in the Open API; log in again when expired.